<template>
  <div class="reward-info-card-price">
    <div class="reward-info-card-value">{{ displayValue }}</div>
    <div class="reward-info-card-unit">{{ unit }}</div>
  </div>
</template>

<script setup lang="ts">
import { toThousand } from '@/utils';

defineOptions({
  name: 'RewardInfoCardPrice',
});

type Props = {
  value?: number;
  useThousand?: boolean;
  unit?: string;
};

const props = withDefaults(defineProps<Props>(), {
  useThousand: true,
  unit: '元',
});

const displayValue = computed(() => (props.useThousand ? toThousand(props.value) : props.value));
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.reward-info-card-price {
  display: flex;
  align-items: flex-end;

  .reward-info-card-value {
    margin-right: 4px;
    font-size: 20px;
    font-weight: bold;
    color: getCssVar('text-color', 'primary');
  }

  .reward-info-card-unit {
    font-size: 14px;
    color: getCssVar('text-color', 'primary');
  }
}
</style>
